Bug 747234 - Translation editor: incorrect translation was shown after change to previous page by prev entry event
Translation editor: incorrect translation was shown after change to previous ...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4.1
Unspecified Unspecified
high Severity high
: ---
: 1.4.2
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: Zanata-1.4.2
  Show dependency treegraph
 
Reported: 2011-10-19 03:50 EDT by Ding-Yi Chen
Modified: 2011-10-28 03:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-10-19 03:50:25 EDT
Description of problem:
In translation editor of a document that has multiple page, 
1.4.2-SNAPSHOT has a weird behaviour when:

1. Type "hi" in the last entry of page 1 and press alt-down
2. Type "yo" in the first entry of page 2 and prest alt-up
3. "hi" does not appear in the the last entry of page 1
4. however, click on last entry of page 1 bring back "hi"

Version-Release number of selected component (if applicable):
Zanata version 1.4.2-SNAPSHOT (20111019-1122)
1.4.1 does not have this problem, however.

How reproducible:
Always

Steps to Reproduce:
0. Visit a document that have multiple pages, such as
UserGuide->Playing_multimedia
1. Type "hi" in the last entry of page 1 and press alt-down
2. Type "yo" in the first entry of page 2 and prest alt-up

Actual results:
"hi" does not appear in the the last entry of page 1
however, click on last entry of page 1 bring back "hi"

Expected results:
"hi" appears in the the last entry of page 1
Comment 2 Ding-Yi Chen 2011-10-20 21:53:27 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111021-1030)

Note You need to log in before you can comment on or make changes to this bug.